function openWindow(url, name, width, height) {
    window.open( url, name, 'toolbar=no,location=no,directories=no,status=yes,menubar=no,resizable=no,scrollbars=yes,width='+width+',height='+height+',top=30,left=230');
}
function popnew(url,title,width,height){
    var w = 1024;
    var h = 768;
    if (document.all || document.layers){
        w = screen.availWidth;
        h = screen.availHeight;
    }
    var leftPos = (w/2-width/2);
    var topPos = (h/2.3-height/2.3);
    window.open(url,title,"width="+width+",height="+height+",top="+topPos+",left="+leftPos+",scrollbars=no,resizable=no,status=no")
}
function stopError() {
    return true;
}
function showbg(){
    eval("select_list.style.display='';");
}
function showoutbg(){
    eval("select_list.style.display='none';");
}
function doZoom(size){
    document.getElementById('zoom').style.fontSize=size+'px'
}
function setTab(name,cursel,n){
    for(i=1;i<=n;i++){
        var menu=document.getElementById(name+i);
        var con=document.getElementById("con_"+name+"_"+i);
        menu.className=i==cursel?"hover":"";
        con.style.display=i==cursel?"block":"none";
    }
}
function isEmail(str){
    var isEmail = (((((str.indexOf("@") != -1) && (str.indexOf(".") != -1)) && (((str.lastIndexOf("@")-str.lastIndexOf("."))<-1))) && str.indexOf("@")!=0) && (str.length-str.lastIndexOf(".")>1));
    if (isEmail){
        return (true);
    }
    else{
        return (false);
    }
}
function MailCheck(){
if(mailform.Email.value == "")
        {
            alert("请输入电子邮箱地址(Please Enter The E-mail Address)！");
            mailform.Email.focus();
            return false;
        }
if (isEmail(mailform.Email.value) == false)
        {
            alert("请正确输入电子邮箱地址(Please Enter The Correct E-mail Address)！");
            mailform.Email.focus();
            return false;
        }
return true;
}
 function reHeight(o){
     if (o.inFocus) {o.style.height = "80px";}
 }
 function focusMe(o){
     o.inFocus=true;
     o.style.border="1px solid #999";
     o.style.backgroundColor="transparent";
     o.style.cursor="text";
     o.style.overflowY="scroll";
     reHeight(o);
 }
 function blurMe(o){
     o.inFocus=false;
     o.style.border="1px #999 solid"
     o.style.padding="1px";
     o.style.backgroundColor="transparent";
     o.style.cursor="pointer";
     o.style.overflowY="hidden";
     o.style.height="30px";
 }
 function overMe(o){
     if (!o.inFocus) {
         o.style.border="1px solid #666";
         o.style.padding="1px";
         o.style.backgroundColor="transparent";
     }
 }
 function outMe(o){
     if (!o.inFocus) {
         o.style.border="1px #999 solid"
         o.style.padding="1px";
         o.style.backgroundColor="transparent";
     }
 }
function jsQueryString(queryStringName){
    var returnValue="";
    var URLString=new String(document.location);
    var serachLocation=-1;
    var queryStringLength=queryStringName.length;
    do {
        serachLocation=URLString.indexOf(queryStringName+"\=");
        if (serachLocation!=-1) {
            if ((URLString.charAt(serachLocation-1)=='?') || (URLString.charAt(serachLocation-1)=='&')) {
                URLString=URLString.substr(serachLocation);
                break;
            }
            URLString=URLString.substr(serachLocation+queryStringLength+1);
        }
    }
    while (serachLocation!=-1) if (serachLocation!=-1) {
        var seperatorLocation=URLString.indexOf("&");
        if (seperatorLocation==-1) {
            returnValue=URLString.substr(queryStringLength+1);
        }
        else {
            returnValue=URLString.substring(queryStringLength+1,seperatorLocation);
        }
    }
    return returnValue;
}
function addEvent(elm, evType, fn, useCapture)
{
    if (elm.addEventListener)
{
        elm.addEventListener(evType, fn, useCapture);
        return true;
    }
    else if (elm.attachEvent)
{
        var r = elm.attachEvent('on' + evType, fn);
        return r;
    }
    else
{
        elm['on' + evType] = fn;
    }
}
function killErrors()
{
    return true;
}
window.onerror = killErrors;